/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
package samplemon;

import javax.swing.*;
import java.awt.event.*;
import java.awt.*;

/**
 * A frame for the GUI of ViewFinderApp.
 *
 * @author Allen Miu
 */
public class CustomFrame extends JFrame {

    Dimension preferredSize = null;

    public CustomFrame (String frameTitle) {
	super(frameTitle);
	//same thing
	setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	/*
	  addWindowListener(new WindowAdapter() {
	  public void windowClosing(WindowEvent event) {
	  System.exit(1);
	  } 
	  });
	*/
    }

    public CustomFrame (String frameTitle, int x, int y) {
	super(frameTitle);
	preferredSize = new Dimension(x,y);
	setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    }

    public Dimension getPreferredSize() 
    {
	if(preferredSize != null)
	    return preferredSize;
	else 
	    return super.getPreferredSize();
    }

    public void finishInit()
    {
	validate();
	pack();
	setVisible(true);
    }
}

