/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
package cricketdaemon.evaluate;

import cricketdaemon.*;
import cricketdaemon.module.*;
import cricketdaemon.beaconstat.*;
import cricketdaemon.reader.*;
import java.util.*;

public class BeaconFilter extends BeaconStatModule implements Algorithm
{
    long currentTime;
    DataCapsule result;

    public BeaconFilter(int w, int bs, int ss)
    {
	super();
	window  = w;
	statSelect = ss;
	binSize = bs;
    }	

    public void start()
    {
	Util.assert_nonjava(false, "BeaconFilter::start() is not supported");
    }

    public DataCapsule exec(DataCapsule d)
    {
	result = null;
	Beacon b = (Beacon) d.data;
	currentTime = b.timeStamp.longValue();
	processBeacon(b, d.mask);
	periodicallyProcess();
	return result;
    }

    protected void transfer(Data data, BitSet mask)
    {
	if(data != null)
	    result = new DataCapsule(data, mask);
	else
	    result = null;
    }

    protected long curTime()
    {
	return currentTime;
    }
}



